package com.eactive.eai.rms.onl.statistics.stndmsguseyn.dao;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

import org.springframework.stereotype.Repository;

import com.eactive.eai.rms.common.base.SqlMapClientTemplateDao;
import com.eactive.eai.rms.onl.statistics.eaisvcname.vo.StatisticsForm;
import com.eactive.eai.rms.onl.statistics.stndmsguseyn.vo.StndMsgUseYnDailyVO;
import com.ibatis.sqlmap.client.event.RowHandler;

/**
 * <pre>
 * 1. 기능 : 
 * 2. 처리 개요 : 
 *     - 
 * 3. 주의사항 : 
 * </pre>
 * @author  : music75
 * @version : $Revision: 1.1 $
 * @since : rts 1.0
 * @spring.bean id="stndMsgUseYnDailyDAO"
 * @spring.property name="dataSource" ref="dataSource"
 */
@Repository("stndMsgUseYnDailyDAO")
public class StndMsgUseYnDailyDAOImpl
        extends SqlMapClientTemplateDao
        implements StndMsgUseYnDailyDAO {

    /**
     * <pre>
     * 1. 기능 : 표준/비표준 일별 통계 리스트 조회
     * 2. 처리 개요 : 
     *     - 
     * 3. 주의사항 : Overriden 
     * </pre>
     * @author  : music75
     * @version : $Revision: 1.1 $
     * @since : rts 1.0
     * @see com.eactive.eai.rts.biz.statistics.stndmsguseyn.dao.StndMsgUseYnDailyDAO#findByStndMsgUseYn(com.eactive.eai.rts.biz.statistics.eaisvcname.vo.StatisticsForm)
     * @param statisticsForm
     * @return
     */
    public List findByStndMsgUseYn(StatisticsForm statisticsForm) throws Exception{
        final ArrayList<StndMsgUseYnDailyVO> al = new ArrayList<StndMsgUseYnDailyVO>();

        final HashMap<String, String> paramMap = new HashMap<String, String>();
        paramMap.put("startDate",  statisticsForm.getStartDate());
        paramMap.put("endDate",    statisticsForm.getEndDate());
        paramMap.put("stndMsgUseYn", statisticsForm.getStndMsgUseYn());
        template.queryWithRowHandler("StndMsgUseYnDaily.findByStndMsgUseYnDaily", paramMap,
    			new RowHandler(){
            		@SuppressWarnings("unchecked")
                    public void handleRow(Object valueObject) {
            			StndMsgUseYnDailyVO vo = (StndMsgUseYnDailyVO)valueObject;
                        al.add(vo);
        }});
        return al;
    }
}
